For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
      • GETRetrieve a Generic Document
      • GETRetrieve a Government Id Document
      • GETRetrieve a Document
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceDocuments

Retrieve a Document

GET
https://api.withpersona.com/api/v1/documents/:document-id
GET
/api/v1/documents/:document-id
$curl https://api.withpersona.com/api/v1/documents/document-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "document/generic",
4 "attributes": {
5 "created-at": "2023-12-20T00:47:09.000Z",
6 "document-type": "other",
7 "extraction-responses": [
8 {
9 "extraction-type": "unguided",
10 "field-name": "dates",
11 "results": [
12 {
13 "value": "Oct 14 2023",
14 "page": 1,
15 "match-level": "full",
16 "metadata": {
17 "day": 14,
18 "month": 10,
19 "year": 2023
20 }
21 }
22 ]
23 },
24 {
25 "extraction-type": "guided",
26 "field-name": "address_street_1",
27 "results": [
28 {
29 "value": "1234 Main St.",
30 "page": 1,
31 "match-level": "full"
32 }
33 ]
34 },
35 {
36 "extraction-type": "guided",
37 "field-name": "address_street_2",
38 "results": []
39 },
40 {
41 "extraction-type": "guided",
42 "field-name": "address_city",
43 "results": []
44 },
45 {
46 "extraction-type": "guided",
47 "field-name": "address_postal_code",
48 "results": []
49 },
50 {
51 "extraction-type": "guided",
52 "field-name": "name",
53 "results": []
54 }
55 ],
56 "fields": {},
57 "files": [
58 {
59 "filename": "abc123.JPEG",
60 "url": "https://files.withpersona.com/abc123.JPEG?access_token=ACCESS_TOKEN",
61 "byte-size": 124917
62 }
63 ],
64 "files-normalized": [
65 {
66 "filename": "abc123.JPEG",
67 "url": "https://files.withpersona.com/abc123.JPEG?access_token=ACCESS_TOKEN",
68 "byte-size": 124917
69 }
70 ],
71 "kind": "document",
72 "processed-at": "2023-12-20T00:47:15.000Z",
73 "processed-at-ts": 1703033235,
74 "status": "processed"
75 },
76 "id": "doc_bzyijToBPnSHtbW2mMdpKM8W",
77 "relationships": {
78 "inquiry": {
79 "data": {
80 "id": "inq_5noeVrHSRUWeFMv5T6wLA8qt",
81 "type": "inquiry"
82 }
83 },
84 "template": {
85 "data": {
86 "id": "tmpl_jGTjQgGMyei68sdf8NyCeDMh",
87 "type": "template"
88 }
89 },
90 "inquiry-template-version": {},
91 "inquiry-template": {},
92 "document-files": {
93 "data": []
94 }
95 }
96 }
97}
Retrieves the details of a Document.
Was this page helpful?
Previous

List all Events

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

document-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Document object and (optionally) its related objects in included.

dataobject
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.